@import "variables/font";
@import "variables/colors";

.summary {
  padding: 2rem 0;
  &__title {
    font-family: $roboto-bold;
  }
  &__cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: center;
    align-items: center;
    gap: 1rem;

    p {
      padding: 0;
      margin: 0;
    }
    .card {
      min-height: 132px;
      display: grid;
      align-items: center;
      &__title {
        color: $neutral-80;
        font-size: 16px;
        line-height: 18px;
      }
      &__value {
        color: $bluette-60;
        font-size: 38px;
        font-family: $poppins-bold;
        span {
          font-size: 20px;
        }
      }
      &__bottom {
        display: flex;
        gap: 0.5rem;
        .percentage {
          font-size: 14px;
          color: $error-60;
          &.positive {
            color: $success-60;
          }
        }
        .last-month {
          color: $neutral-50;
          font-size: 12px;
        }
      }
    }
  }
}
